Status: Feedback

Priority: Normal

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.4.1 Regression?: No

Operating System: MacOS High Sierra (10.13.3) Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28435

Description

When I try install QGis, see message about "QGIS requires Python 3.6.". But I already have python 3.6.5

QGis version: 3.4.1 (new LTR)

MacBook Pro (Retina, 13-inch, Early 2015)

2,7 GHz Intel Core i5

MacOS High Sierra (10.13.3)

Python version 3.6.5

History

#1 - 2018-11-24 10:19 AM - Saber Razmjooei

- Status changed from Open to Feedback

Do you want to try this installer:

https://lutraconsulting.github.io/qgis-mac-packager/

QGIS 3.4.2 is available.

#2 - 2018-11-26 11:18 AM - Rhenriques Henriques

Saber, the recommended installer has some issues. QGIS should be named QGIS3 to allow the parallel use of the previous LTR version. Anything that we

do in the general options lead the app to a crash. Beyond that, seems to be a nice effort to bring a stable working version of QGIS to MacOS with all tools

available.

#3 - 2018-11-26 11:58 AM - Saber Razmjooei

Thanks for your feedback. The application is not officially a part of QGIS, so I don't want to hijack this ticket. But, there is already a ticket for your request:

https://github.com/lutraconsulting/qgis-mac-packager/issues/11

#4 - 2018-12-01 11:10 AM - Saber Razmjooei

Rhenriques Henriques wrote:

Saber, the recommended installer has some issues. QGIS should be named QGIS3 to allow the parallel use of the previous LTR version. Anything

that we do in the general options lead the app to a crash. Beyond that, seems to be a nice effort to bring a stable working version of QGIS to MacOS

with all tools available.
The issue has been addressed in our packages So, you should be able to have multiple versions of QGIS (LTR, PR and nightly). Testing and reporting

back is highly appreciated.

#5 - 2019-03-09 10:34 AM - Giovanni Manghi

- Priority changed from High to Normal

Is this issue still valid?
